package com.ruoyi.postCheck.domain.problemStatistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode
@Data
@ApiModel(value = "统计分析-问题属性&问题类别")
public class ProblemNumberBase implements Serializable {

    private static final long serialVersionUID = 796035754641326823L;


    @ApiModelProperty("总数量")
    private Integer problemTotal;


    @ApiModelProperty("完整性数量")
    private Integer problemComplete;
    @ApiModelProperty("适宜性数量")
    private Integer problemSuitable;
    @ApiModelProperty("有效性数量")
    private Integer problemEffective;


    @ApiModelProperty("职责权限问题")
    private Integer problemCategoryOne;
    @ApiModelProperty("工作内容问题")
    private Integer problemCategoryTwo;
    @ApiModelProperty("工作标准问题")
    private Integer problemCategoryThree;
    @ApiModelProperty("考核奖励问题")
    private Integer problemCategoryFour;
    @ApiModelProperty("任职资格问题")
    private Integer problemCategoryFive;
    @ApiModelProperty("其他")
    private Integer problemCategorySix;

//==================================================


}
